Subject: [Icar] Re: WG Action: Improved Cross-Area Review (icar)

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Feb 2004 20:05:24 -0500

As you can see, we are now officially a working group.
Harald has already requested a time slot (Wednesday morning) for us.

Mark and I will be working on getting a suitable set of supporting tools 
(web page, issues tracker) in place so that folks can tell what is going on.

We will also be announcing a simple naming convention for tracking 
documents of interest to the working group.  (We just need a day or so to 
make sure we are both thinking of the same convention.)

Meanwhile, we are trying to plan the agenda.  Folks who would like to 
present issues or ideas for discussion (not just a presentation of a draft, 
preferably presentation of issues and aspects of ideas that of come up on 
the list, to be followed by discussion with the room) should send email to 
the list or to me and Mark.

Yours,
Joel M. Halpern

PS: Mark will unfortunately not be able to be at the session in Korea, so 
Alex Zinin who has been at the middle of making this happen will help me 
run the meeting there.

PPS: We will need a note taker.  This session really can not happen without 
minutes.  If you are willing to do so, please contact me.

At 04:50 PM 2/11/2004 -0500, you wrote:
>A new IETF working group has been formed in the General Area.
>For additional information, please contact the Area Directors or the WG 
>Chairs.
>
>Improved Cross-Area Review (icar)
>---------------------------------
>
>        Current Status: Active Working Group
>
>        Chairs:
>         Joel M Halpern <[email-masked]>
>         Mark Allman <[email-masked]>
>
>        General Area Director(s):
>          Harald Alvestrand <[email-masked]>
>
>        General Area Advisor:
>          Harald Alvestrand <[email-masked]>
>
>        Mailing list: [email-masked]
>        Subscription: [email-masked]
>        Archives :
>  https://www1.ietf.org/mail-archive/working-groups/icar/current/maillist.html
>
>        WG Description:
>
>            The WG will work out mechanisms for improved cross-functional
>            review within the IETF, addressing the issues identified by the
>            PROBLEM WG. This includes a better community review, as well as
>            more structured pre-IESG review that may be used to improve
>            scalability of the IESG review function.
>
>            Definitions:
>
>              o Cross-functional review: document review covering different
>              aspects of Internet technology, including those represented by
>              WGs within different IETF areas.
>
>              o Community review: document review performed by individual IETF
>              participants and not caused by their responsibilities within
>              the IETF management structure.
>
>              o Structured review: more formal and role-based document review
>              performed by individuals assuming certain responsibilities (such
>              as by WG chairs, directorate and IESG members.)
>
>            It is an explicit goal of the WG to come up with mechanisms
>            encouraging early review of the documents while ideas are still
>            in the formation stage. An early review is best for catching
>            architectural problems while they're still relatively easy to
>            solve. In particular, many cross-functional interactions can be
>            spotted and dealt with, thus avoiding many "late surprises". A
>            final review (currently done by the IESG) can catch remaining
>            cross-functional interactions, as well as deal with overall
>            quality issues.
>
>            The WG will cooperate with others in starting and evaluating
>            experiments with early community and structured reviews. The
>            evaluation of such experiments may be published as Informational
>            RFCs if the group so desires.
>
>            The WG will also coordinate with other WGs involved in the IETF
>            reform process on proposed changes to the IETF Working Group
>            operations and Standards process if those are considered
>            necessary.
>
>        WG milestones:
>
>            FEB 2004: Publish Internet Drafts on improved community and
>                      structured reviews
>            SEP 2004: Submit draft on improved community review to
>                      the IESG for publication as BCP
>            SEP 2004: Submit draft on improved structured review to
>                      the IESG for publication as BCP
>            JAN 2005: Evaluate WG progress and potential; close or recharter

_______________________________________________
Icar mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/icar

---

From: Mark Allman <[email-masked]>
Date: Mon, 16 Feb 2004 13:41:02 -0500

Joel said:
> present issues or ideas for discussion (not just a presentation of a
> draft, preferably presentation of issues and aspects of ideas that of
> come up on the list, to be followed by discussion with the room)
> should send email to the list or to me and Mark.

I'd like to make the above call for agenda items again.

**And**, can anyone who has an i-d they believe is in the ICAR space
please send me a note?  I want to try to get all relavent stuff
collected up and I'd like to make sure I don't overlook anything.

Thanks!

allman

--
Mark Allman -- ICIR -- http://www.icir.org/mallman/

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 16 Feb 2004 14:20:18 -0800

> collected up and I'd like to make sure I don't overlook anything.

Mark,

I believe that section 4.2 of draft-iesg-alvestrand-twolevel is still 
relevant to the discussion - the concept of having a late, structured 
review done by pre-established, cross-area teams. The part about having 
these teams make the final decision on approval is out of scope for ICAR.

I managed to get as far as *thinking* about pulling that out into a 
separate draft before the I-D deadline, but that was as far as I got.

               Harald